FROM scratch AS base
COPY --from=stagex/core-bash . /
COPY --from=stagex/user-jq . /
COPY --from=stagex/core-busybox . /
COPY --from=stagex/core-ca-certificates . /
COPY --from=stagex/core-curl . /
COPY --from=stagex/core-gcc . /
COPY --from=stagex/core-git . /
COPY --from=stagex/core-musl . /
COPY --from=stagex/core-openssl . /
COPY --from=stagex/core-zlib . /
COPY --from=stagex/user-strace . /
COPY --from=stagex/core-solidity:0.8.30 . /
COPY --from=stagex/pallet-rust . /
COPY --from=stagex/pallet-gcc-gnu-busybox . /

RUN curl -L https://github.com/foundry-rs/foundry/archive/refs/tags/v1.2.2.tar.gz > v1.2.2.tar.gz
RUN tar -xvf v1.2.2.tar.gz
WORKDIR foundry-1.2.2/ 
RUN cargo build --release
COPY keeta-locker ./

RUN ./target/release/forge build --contracts blockchain/src/LPLocker.sol --force --use /usr/bin/solc

